"""Hack to create backgrounds for different observations."""

from micado.main.Sky import Sky


class BkgfieldExtra(Sky):
    """Raw for background determination."""

    @classmethod
    def get_derived_classes(cls):
        """Overloaded hack to get other templates to get background from."""
        from micado.dataitems.Bkgfield import Bkgfield
        from micado.dataitems.Science import Science
        from micado.dataitems.CoroBackground import CoroBackground
        from micado.dataitems.ScienceCoroPupil import ScienceCoroPupil

        return [
            Bkgfield,
            Science,
            ScienceCoroPupil,
            CoroBackground,
        ]
